Download it now!
Bug 114919 - FILESAVE invalid ODF 1.2 strict when removing calcext:value-type
Summary: FILESAVE invalid ODF 1.2 strict when removing calcext:value-type
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Calc (show other bugs)
Version:
(earliest affected)
6.1.0.0.alpha0+
Hardware: x86-64 (AMD64) All
: medium normal
Assignee: Julien Nabet
URL:
Whiteboard: target:6.3.0 target:6.1.5 target:6.2.0.2
Keywords:
Depends on:
Blocks: ODF-export-invalid
  Show dependency treegraph
 
Reported: 2018-01-08 19:58 UTC by Regina Henschel
Modified: 2018-12-31 20:48 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:


Attachments
Original file (9.87 KB, application/vnd.oasis.opendocument.spreadsheet)
2018-01-08 19:58 UTC, Regina Henschel
Details
resaved in ODF1.2 strict (9.71 KB, application/vnd.oasis.opendocument.spreadsheet)
2018-01-08 19:58 UTC, Regina Henschel
Details
Valgrind trace (7.01 KB, application/x-bzip)
2018-12-29 23:11 UTC, Julien Nabet
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Regina Henschel 2018-01-08 19:58:15 UTC
Created attachment 138987 [details]
Original file

Open attached file. It was saved in "ODF 1.2 extended (recommended)". Save the file with "ODF 1.2". That should remove all elements and attributes in private namespaces. Check the saved file in https://odfvalidator.org/.

It is the invalid attribute "value-type" in part content.xml.

The original file in ODF1.2 extended has an attribute "calcext:value-type" there. [I don't know why it is there at all, because there exists already the attribute "office:value-type" with identical attribute value.] When saving in ODF 1.2 strict the entire attribute has to be removed, but here only the namespace prefix is removed.
Comment 1 Regina Henschel 2018-01-08 19:58:50 UTC
Created attachment 138988 [details]
resaved in ODF1.2 strict
Comment 2 Regina Henschel 2018-01-08 20:09:08 UTC
The attribute has been introduced in https://cgit.freedesktop.org/libreoffice/core/commit/?id=a8b7c72425aabae87bfd2e141aa06f06319ae11c.
Comment 3 Buovjaga 2018-02-11 11:40:25 UTC
Repro.

Arch Linux 64-bit
Version: 6.1.0.0.alpha0+
Build ID: c6a23023150c164a19236139fa413d43006ce21c
CPU threads: 8; OS: Linux 4.15; UI render: default; VCL: kde4; 
Locale: fi-FI (fi_FI.UTF-8); Calc: group
Built on February 11th 2018
Comment 4 Julien Nabet 2018-12-29 23:11:34 UTC
Created attachment 147891 [details]
Valgrind trace

On pc Debian x86-64 with master sources updated today, I got a crash.
Since I couldn't retrieve a bt because gdb hangs (I don't know why), I could retrieve Valgrind trace.
Comment 5 Commit Notification 2018-12-30 10:20:32 UTC
Julien Nabet committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/+/5534bfef6426128af2147de995224d7cdf43a2bf%5E%21

tdf#114919: fix ods export in ODF 1.2 strict

It will be available in 6.3.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 6 Julien Nabet 2018-12-30 10:44:51 UTC
Backports on gerrit review:
- 6.2: https://gerrit.libreoffice.org/#/c/65737/
- 6.1: https://gerrit.libreoffice.org/#/c/65738/
Comment 7 Commit Notification 2018-12-31 20:45:46 UTC
Julien Nabet committed a patch related to this issue.
It has been pushed to "libreoffice-6-1":

https://git.libreoffice.org/core/+/9377e77b8b49a4b0bf045566bbe802b511ca1fd8%5E%21

tdf#114919: fix ods export in ODF 1.2 strict

It will be available in 6.1.5.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 8 Commit Notification 2018-12-31 20:48:26 UTC
Julien Nabet committed a patch related to this issue.
It has been pushed to "libreoffice-6-2":

https://git.libreoffice.org/core/+/f9f0c64be932e290a556e58ab9feea4a5d655f9d%5E%21

tdf#114919: fix ods export in ODF 1.2 strict

It will be available in 6.2.0.2.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.